# Method: users.aliases.list

Lists all aliases for a user.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/users/{userKey}/aliases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. |

### Query parameters

| Parameters ||
|---|---|
| `event` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/users.aliases/list#Event`)`` Events to watch for. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "aliases": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/users.aliases#UserAlias`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `aliases[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/users.aliases#UserAlias`)`` A list of alias objects. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/alias/`
- `
  https://www.googleapis.com/auth/admin.directory.user`
- `
  https://www.googleapis.com/auth/admin.directory.user.alias`
- `
  https://www.googleapis.com/auth/admin.directory.user.alias.readonly`
- `
  https://www.googleapis.com/auth/admin.directory.user.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Event

Type of the Subscription event

| Enums ||
|---|---|
| `ADD` | Alias Created Event |
| `DELETE` | Alias Deleted Event |